:root {
  --primary: #0C29A3;
  --primaryDark: #002E70;
  --secondary: #D31C24;
  --gray: #B7B7B7;
  --lightBackground: #ffffff;
  --grayBackground: #D31C24;
  --darkText: #000000;
  --lightText: #ffffff;
}

.inspirations {
  margin: 50px 0;
}
.inspirations__filter {
  background: #002E70;
  padding: 30px 20px;
}
.inspirations__filter .button {
  width: fit-content;
}
.inspirations__header {
  color: #FFF;
  leading-trim: both;
  text-edge: cap;
  font-family: Urbanist;
  font-size: 32px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  max-width: 180px;
  margin-bottom: 22px;
}
.inspirations__image {
  display: none;
}
.inspirations__switcher {
  display: grid;
  grid-template-columns: auto auto;
  grid-template-rows: auto auto;
}
.inspirations__switcher .button {
  grid-column: 1/3;
  grid-row: 1/2;
}
.inspirations__nav {
  grid-column: 1/2;
  grid-row: 2/3;
}
.inspirations__categories {
  grid-column: 2/3;
  grid-row: 2/3;
  margin: 15px;
  display: flex;
  flex-direction: column;
  gap: 24px;
  justify-content: flex-end;
  align-items: flex-end;
  width: fit-content;
  margin-left: auto;
  list-style: none;
}
.inspirations__categories__button {
  background-color: transparent;
  border: none;
  color: #FFF;
  font-family: "IBM Plex Sans";
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  letter-spacing: 0.96px;
  text-transform: uppercase;
  cursor: pointer;
  transition: color 0.12s ease-in-out;
}
.inspirations__categories__button:hover {
  color: #D31C24;
}
.inspirations__categories__button--active {
  color: #D31C24;
}
.inspirations .swiper {
  position: relative;
}
.inspirations .swiper-nav {
  display: flex;
  flex-direction: row;
  gap: 16px;
  margin-top: auto;
}
.inspirations .swiper-prev, .inspirations .swiper-next {
  height: 44px;
  width: 44px;
  border-radius: 50%;
  border: 1px solid #ffffff;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}
.inspirations__scroll {
  background-color: #EDEDED;
}

@media (min-width: 800px) {
  .inspirations__container {
    display: grid;
    grid-template-columns: calc(50% - 5px) calc(50% - 5px);
    gap: 10px;
    align-items: stretch;
  }
  .inspirations__image {
    display: block;
    width: 100%;
    mix-blend-mode: luminosity;
  }
  .inspirations__image img {
    width: 100%;
    height: auto;
    display: block;
  }
  .inspirations__nav {
    display: none !important;
    pointer-events: none;
  }
  .inspirations__switcher {
    display: grid;
    height: fit-content;
    grid-template-columns: 1fr 1fr;
    margin-top: 100px;
  }
  .inspirations__switcher .button {
    margin-top: auto;
    grid-column: 1/2;
    grid-row: 1/2;
  }
  .inspirations__categories {
    grid-column: 2/3;
    grid-row: 1/2;
  }
  .inspirations__scroll {
    height: 100%;
    position: relative;
    width: 100%;
  }
  .inspirations__scroll .swiper {
    width: 100%;
    position: absolute;
    bottom: 0;
    top: 0;
  }
  .inspirations__scroll .swiper .swiper-wrapper {
    height: 100%;
    width: 100%;
    overflow: auto;
    flex-direction: column;
  }
  .inspirations__scroll .swiper .swiper-wrapper::-webkit-scrollbar {
    width: 5px;
  }
  .inspirations__scroll .swiper .swiper-wrapper::-webkit-scrollbar-track {
    background-color: #DADADA;
  }
  .inspirations__scroll .swiper .swiper-wrapper::-webkit-scrollbar-thumb {
    background-color: #D31C24;
  }
  .inspirations__scroll .swiper .swiper-wrapper .swiper-slide {
    width: 100%;
    max-width: calc(100% - 0px);
    max-height: fit-content;
  }
  .inspirations__scroll .swiper .swiper-wrapper .swiper-slide .scrollPost {
    border-bottom: 1px solid #D6D6D6;
  }
}
.scrollPost {
  display: block;
  text-decoration: none;
}
.scrollPost__box {
  background: #EDEDED;
  padding: 30px;
  transition: background-color 0.12s linear;
}
.scrollPost__header {
  color: #000;
  leading-trim: both;
  text-edge: cap;
  font-family: Urbanist;
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  transition: color 0.12s linear;
}
.scrollPost img {
  width: 100%;
  object-fit: cover;
  margin-top: 23px;
  aspect-ratio: 1/1;
  height: auto;
  mix-blend-mode: luminosity;
}
.scrollPost__text {
  transition: color 0.12s linear;
  color: #1E1E1E;
  font-family: Urbanist;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px;
  /* 150% */
}
.scrollPost__excerpt {
  margin-top: 30px;
}
.scrollPost__button {
  color: #D31C24;
  font-family: "IBM Plex Sans";
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  letter-spacing: 0.96px;
  text-decoration: underline;
  text-transform: uppercase;
  margin-top: 13px;
  display: block;
}
.scrollPost:hover .scrollPost__header {
  color: #Ffffff;
}
.scrollPost:hover .scrollPost__text {
  color: #Ffffff;
}
.scrollPost:hover .scrollPost__box {
  background-color: #002E70;
}

@media (min-width: 800px) {
  .inspirations__filter {
    padding: 45px;
  }
  .scrollPost__box {
    padding: 50px 50px 60px;
  }
  .scrollPost__excerpt {
    padding-left: 40%;
    margin-top: 50px;
  }
  .scrollPost__excerpt .scrollPost__button {
    margin-top: 38px;
  }
}